Skip to main content
POST
/
v1
/
s
/
models
/
{modelId}
/
fields
Create a new field for a specific model (session-based)
const options = {
  method: 'POST',
  headers: {
    'x-api-key': '<api-key>',
    'x-api-secret': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    key: '<string>',
    name: '<string>',
    description: '<string>',
    format: '<string>',
    unit: '<string>',
    optionSource: '<string>',
    options: [{value: '<string>', name: '<string>'}]
  })
};

fetch('https://api.runmorph.dev/v1/s/models/{modelId}/fields', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
curl --request POST \
--url https://api.runmorph.dev/v1/s/models/{modelId}/fields \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>' \
--data '
{
"key": "<string>",
"name": "<string>",
"description": "<string>",
"format": "<string>",
"unit": "<string>",
"optionSource": "<string>",
"options": [
{
"value": "<string>",
"name": "<string>"
}
]
}
'
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.runmorph.dev/v1/s/models/{modelId}/fields"

payload := strings.NewReader("{\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"unit\": \"<string>\",\n \"optionSource\": \"<string>\",\n \"options\": [\n {\n \"value\": \"<string>\",\n \"name\": \"<string>\"\n }\n ]\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-api-secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runmorph.dev/v1/s/models/{modelId}/fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'key' => '<string>',
'name' => '<string>',
'description' => '<string>',
'format' => '<string>',
'unit' => '<string>',
'optionSource' => '<string>',
'options' => [
[
'value' => '<string>',
'name' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>",
"x-api-secret: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests

url = "https://api.runmorph.dev/v1/s/models/{modelId}/fields"

payload = {
"key": "<string>",
"name": "<string>",
"description": "<string>",
"format": "<string>",
"unit": "<string>",
"optionSource": "<string>",
"options": [
{
"value": "<string>",
"name": "<string>"
}
]
}
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.post("https://api.runmorph.dev/v1/s/models/{modelId}/fields")
.header("x-api-key", "<api-key>")
.header("x-api-secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"<string>\",\n \"unit\": \"<string>\",\n \"optionSource\": \"<string>\",\n \"options\": [\n {\n \"value\": \"<string>\",\n \"name\": \"<string>\"\n }\n ]\n}")
.asString();
{
  "key": "<string>",
  "name": "<string>",
  "description": "<string>",
  "format": "<string>",
  "unit": "<string>",
  "optionSource": "<string>",
  "options": [
    {
      "value": "<string>",
      "name": "<string>"
    }
  ],
  "isRequired": true,
  "isFieldReadOnly": true,
  "isValueReadOnly": true,
  "isCustom": true,
  "remote": {
    "key": "<string>",
    "metadata": {}
  }
}
{
"message": ""
}

Authorizations

x-api-key
string
header
required
x-api-secret
string
header
required

Path Parameters

modelId
enum<string>
required
Available options:
genericCompany,
genericContact,
genericUser,
genericWorkspace,
crmOpportunity,
crmStage,
crmPipeline,
crmEngagement,
telephonyCall,
telephonyCallTranscript,
schedulingEventType,
schedulingSlot,
schedulingEvent,
widgetCardView,
accountingInvoice,
accountingInvoiceLineItem,
accountingInvoiceItem

Body

key
string
required
name
string
required
type
enum<string>
required
Available options:
text,
number,
select,
boolean,
datetime,
list.text,
list.number,
list.select,
list.boolean,
list.datetime
description
string | null
format
string
unit
string
optionSource
string
options
object[]
remote
object

Response

Created

key
string
required
name
string
required
type
enum<string>
required
Available options:
text,
number,
select,
boolean,
datetime,
list.text,
list.number,
list.select,
list.boolean,
list.datetime
description
string | null
format
string
unit
string
optionSource
string
options
object[]
isRequired
boolean
isFieldReadOnly
boolean
isValueReadOnly
boolean
isCustom
boolean
remote
object